package com.xinyilu.system.service.motionprescriptionvideo.impl;

import com.xinyilu.common.utils.DateUtils;
import com.xinyilu.system.domain.motionprescriptionvideo.MotionPrescriptionVideo;
import com.xinyilu.system.mapper.motionprescriptionvideo.MotionPrescriptionVideoMapper;
import com.xinyilu.system.service.motionprescriptionvideo.IMotionPrescriptionVideoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 运动处方库干预视频信息Service业务层处理
 *
 * @author xinyilu
 * @date 2023-04-04
 */
@Service
public class MotionPrescriptionVideoServiceImpl implements IMotionPrescriptionVideoService {
    @Resource
    private MotionPrescriptionVideoMapper motionPrescriptionVideoMapper;

    /**
     * 查询运动处方库干预视频信息
     *
     * @param id 运动处方库干预视频信息主键
     * @return 运动处方库干预视频信息
     */
    @Override
    public MotionPrescriptionVideo selectMotionPrescriptionVideoById(Long id) {
        return motionPrescriptionVideoMapper.selectMotionPrescriptionVideoById(id);
    }

    /**
     * 查询运动处方库干预视频信息列表
     *
     * @param motionPrescriptionVideo 运动处方库干预视频信息
     * @return 运动处方库干预视频信息
     */
    @Override
    public List<MotionPrescriptionVideo> selectMotionPrescriptionVideoList(MotionPrescriptionVideo motionPrescriptionVideo) {
        return motionPrescriptionVideoMapper.selectMotionPrescriptionVideoList(motionPrescriptionVideo);
    }

    /**
     * 新增运动处方库干预视频信息
     *
     * @param motionPrescriptionVideo 运动处方库干预视频信息
     * @return 结果
     */
    @Override
    public int insertMotionPrescriptionVideo(MotionPrescriptionVideo motionPrescriptionVideo) {
        motionPrescriptionVideo.setCreateTime(DateUtils.getNowDate());
        return motionPrescriptionVideoMapper.insertMotionPrescriptionVideo(motionPrescriptionVideo);
    }

    /**
     * 修改运动处方库干预视频信息
     *
     * @param motionPrescriptionVideo 运动处方库干预视频信息
     * @return 结果
     */
    @Override
    public int updateMotionPrescriptionVideo(MotionPrescriptionVideo motionPrescriptionVideo) {
        motionPrescriptionVideo.setUpdateTime(DateUtils.getNowDate());
        return motionPrescriptionVideoMapper.updateMotionPrescriptionVideo(motionPrescriptionVideo);
    }

    /**
     * 批量删除运动处方库干预视频信息
     *
     * @param ids 需要删除的运动处方库干预视频信息主键
     * @return 结果
     */
    @Override
    public int deleteMotionPrescriptionVideoByIds(Long[] ids) {
        return motionPrescriptionVideoMapper.deleteMotionPrescriptionVideoByIds(ids);
    }

    /**
     * 删除运动处方库干预视频信息信息
     *
     * @param id 运动处方库干预视频信息主键
     * @return 结果
     */
    @Override
    public int deleteMotionPrescriptionVideoById(Long id) {
        return motionPrescriptionVideoMapper.deleteMotionPrescriptionVideoById(id);
    }
}
